[Request]Axis Rotate
-
Hi, I've imported a whole lot of obj files and they came out well but the blue axis need to be rotated 90deg without the model rotating. I know I can do that one at a time but maybe some plugin can automate the process?
Many Thanks, Andre
-
Andre, I had a simuliar problem recently and I solved it by exploding and re-creating the components which gives them the default axis orientation with the code below
def reset_axis mod=Sketchup.active_model ent=mod.entities sel=mod.selection comps=[] if !sel.empty? sel.each{|e| comps.push e if e.class==Sketchup;;ComponentInstance} for i in 0...comps.length dump=comps[i].explode; sel.clear dump.each{|e| sel.add e if (e.is_a?(Sketchup;;Face) || e.is_a?(Sketchup;;Edge))} grp=ent.add_group sel grp.to_component end end end
-
Hey thanks sdmitch! will give it a go..
Advertisement